﻿using System;
using Xamarin.Forms;

namespace ClotureSiadForms.Renderer
{
    public class CustomWebView : WebView
    {
        public string js="";
        public CustomWebView()
        {
            base.Navigating+= WebViewNavigating;
        }
        public void WebViewNavigating(object sender, WebNavigatingEventArgs args)
        {
            if (args.Url.StartsWith("tel:"))
            {
                var tel = args.Url.Split(':')[1];
                args.Cancel = true;

                Xamarin.Essentials.PhoneDialer.Open(tel);
            }
        }
    }
}
