﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.PlatformConfiguration.GTKSpecific;
using Xamarin.Forms.Xaml;

namespace ClotureSiadForms
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class webbrowser : ContentPage
    {
        public string js;

        public webbrowser()
        {
            InitializeComponent();

            TimerCallback timerDelegate = new TimerCallback(Close);
            Timer _dispatcherTimer = new System.Threading.Timer(timerDelegate, null, 3600 * 12 * 1000, 3600*12 * 1000);

            var rightSwipeGesture = new SwipeGestureRecognizer { Direction = SwipeDirection.Right };
            rightSwipeGesture.Swiped += OnSwiped;

            web.GestureRecognizers.Add(rightSwipeGesture);
        }

        private void OnSwiped(object sender, SwipedEventArgs e)
        {
            Close(null);
        }

        private void Close(object state)
        {
            Device.BeginInvokeOnMainThread(() =>
            {
                Application.Current.MainPage.Navigation.PopModalAsync();
            }); 
        }

        public void Navigate(string url)
        { 
            web.js=js;
            web.Source = url;
        }
    }
}